[package]
name = "wrbapp"
version = "0.1.0"
authors = ["xeovalyte <me+gitea@xeovalyte.dev>"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
serde = { version = "1.0.197", features = ["derive"] }

dioxus = { version = "0.5", features = ["fullstack", "router"] }
web-sys = { version = "0.3.70", features = ["Window", "Location"] }

tokio = { version = "1.38", features = ["macros", "rt-multi-thread"], optional = true }
axum = { version = "0.7", optional = true }
axum-extra = { version = "0.9", features = ["cookie"], optional = true }
time = { version = "0.3", optional = true }
once_cell = { version = "1.19", optional = true }
surrealdb = { version = "2.0", features = ["kv-rocksdb"], optional = true }
thiserror = { version = "1.0" }

csv = { version = "1.3", optional = true }

# Debug
tracing = "0.1"
dioxus-logger = "0.5"
manganis = "0.2"

[features]
default = []
server = [ "dioxus/axum", "tokio", "axum", "axum-extra", "time", "once_cell", "surrealdb", "csv" ]
web = ["dioxus/web"]
